Bug 965294 - Incorrect displaying vsd (Visio) documents with libreoffice-draw
Incorrect displaying vsd (Visio) documents with libreoffice-draw
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvisio (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 16:31 EDT by Mikhail
Modified: 2013-06-14 00:54 EDT (History)
8 users (show)

See Also:
Fixed In Version: libvisio-0.0.28-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 22:25:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example document (4.87 MB, application/vnd.visio)
2013-05-20 16:31 EDT, Mikhail
no flags Details
screenshot (154.48 KB, image/png)
2013-05-20 23:36 EDT, Mikhail
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 64797 None None None Never

  None (edit)
Description Mikhail 2013-05-20 16:31:53 EDT
Created attachment 750709 [details]
Example document

Description of problem:
Incorrect displaying vsd (Visio) documents with libreoffice-draw
Comment 1 David Tardon 2013-05-20 23:28:25 EDT
What exactly is wrong with the imported drawing?
Comment 2 Mikhail 2013-05-20 23:35:59 EDT
I don't see any lines and images on schemes.
Comment 3 Mikhail 2013-05-20 23:36:46 EDT
Created attachment 750828 [details]
screenshot
Comment 4 David Tardon 2013-05-21 03:23:19 EDT
We are going to rebase libreoffice in F-19/Rawhide to 4.1.0 beta1 this week. This regression is fixed there.
Comment 5 Michele 2013-05-31 06:33:40 EDT
Problem still exists on libreoffice-xxx-4.1.0.0-2.beta1.fc19.x86_64

The issue can be reproduced also using vsd2odg tool provided by writerperfect-0.8.2-2.fc19.x86_64 .

Could be the problem into libvisio library or its dependencies ?
Comment 6 David Tardon 2013-06-05 04:22:19 EDT
It turned out to be a regression in libvisio-0.0.27 .
Comment 7 Fedora Update System 2013-06-05 05:59:26 EDT
libvisio-0.0.28-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libvisio-0.0.28-1.fc19
Comment 8 Fedora Update System 2013-06-05 06:00:27 EDT
libvisio-0.0.28-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libvisio-0.0.28-1.fc18
Comment 9 Fedora Update System 2013-06-05 06:00:47 EDT
libvisio-0.0.28-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libvisio-0.0.28-1.fc17
Comment 10 Fedora Update System 2013-06-05 12:52:50 EDT
Package libvisio-0.0.28-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvisio-0.0.28-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10092/libvisio-0.0.28-1.fc19
then log in and leave karma (feedback).
Comment 11 Mikhail 2013-06-05 23:33:36 EDT
Thanks, this issue are fixed with update. But what about performance? My example file very work slow when I try scroll or zoom scheme on Core i3. :(
Comment 12 David Tardon 2013-06-05 23:47:38 EDT
(In reply to Mikhail from comment #11)
> Thanks, this issue are fixed with update. But what about performance? My
> example file very work slow when I try scroll or zoom scheme on Core i3. :(

Do not worry, it is slow on Core i7 too :) You can submit another bug for that (preferably at freedesktop.org), but I doubt anyone is going to look into it before libreoffice 4.1 is out.
Comment 13 Fedora Update System 2013-06-13 22:25:59 EDT
libvisio-0.0.28-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-06-13 22:33:54 EDT
libvisio-0.0.28-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-06-14 00:54:27 EDT
libvisio-0.0.28-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.